-- [C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_onDemand_Luca] 10
CREATE PROCEDURE [C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_onDemand_Luca]
@volThreads int = 10000
WITH EXEC AS CALLER
AS
BEGIN
		SET NOCOUNT ON;
		DECLARE @dtrim VARCHAR(8)
		--set @dtrim = c6martperiodico.gettrimestre(getDate(),0) 
		set @dtrim = '20200630'
		SELECT * INTO #WSEIAN_1
		FROM
		(
		select codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1  as rank  
		from [C6StagingPeriodico].[WSEIAN]
		WHERE codman = '' and dttrim = @dtrim
		UNION ALL 
		select 'FF@'+ codman as codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1 as rank  
		from [C6StagingPeriodico].[WSEIAN]
		WHERE codman <> '' and dttrim = @dtrim
		)X
 	SELECT top(@volThreads)  Maledetti.[Rete],Maledetti.[NomeRete],Maledetti.[Agente],Maledetti.[CognomeAgente]
,Maledetti.[NomeAgente],Maledetti.[IndirizzoAgente]
,Maledetti.[CapAgente],Maledetti.[CittaAgente],Maledetti.[TelefonoAgente],Maledetti.[CodiceFiscale],Maledetti.[CognomeCliente]
,Maledetti.[NomeCliente]
,Maledetti.[ProfiloIsAct]
,Maledetti.[PatrimonioNonRappresentabile]
,Maledetti.[PartiteViaggiantiDisinv]
,Maledetti.[PartiteViaggiantiInv]
,Maledetti.[ContoCorrente]
,Maledetti.[PatrimonioBancaFideuramCtvAlNettoContoCorrente]
,Maledetti.[RisorseNonAssociate]
,Maledetti.[Patrimonioaltroctv]
,Maledetti.[Patrimonioimmobiliarectv]
,Maledetti.[PatrimonioTerzictv]
,Maledetti.[PatrimonioTerziCtvAlNettoContoCorrente]
,Maledetti.[PatrimonioTerziContoCorrente]
,Maledetti.[Patrimoniobancafideuramctv]
,Maledetti.[Patrimoniocomplessivototalectv]
,Maledetti.[NumeroIntermediari]
,Maledetti.[CodiceContratto]
,Maledetti.[tip_contratto]
,Maledetti.[contrattoold]
,Maledetti.[NoMonitoraggio]
,Maledetti.[descrizioneDiagnosi]
,Maledetti.[idModelloDiagnosi]
,Maledetti.[idReportDiagnosi]
--,5 as [idModelloDiagnosi]
--,1 as [idReportDiagnosi]
,Maledetti.[descrizioneMonitoraggio]
,Maledetti.[idReportMonitoraggio]
,Maledetti.[idModelloMonitoraggio]
,Maledetti.[AdesioneSuccessivaAvanzato]
,Maledetti.[VaRRisorseNonAssociate]
,Maledetti.[CoperturaRisorseNonAssociate]
,Maledetti.[VaRTotaleRisorseFinanziarie]
,Maledetti.[CoperturaTotaleRisorseFinanziarie]
,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'D' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0)  
			AS IdReportPDFDiagnosi   
			,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'M' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0) 
			AS IdReportPDFMonitoraggio,
			CASE 
				WHEN wse.flagnqp IS NULL or wse.flagnqp ='' THEN 'N'
				ELSE wse.flagnqp
			END as 'flagnqp',
			--wse.flgprlrde as 'flagprlrde',
			CASE 
				WHEN wse.flgprlrde ='' THEN NULL
				ELSE wse.flgprlrde
			END as 'flagprlrde',
			CASE 
				WHEN wse.FLAGPG IS NULL THEN 0
				ELSE wse.FLAGPG
			END as 'flagpg',
			CASE 
				WHEN wse.FLGPROF IS NULL or wse.FLGPROF ='' THEN 'N'
				ELSE wse.FLGPROF
			END as 'FLGPROF'
			into #result
		FROM wh.Maledetti  Maledetti
			 left outer join #WSEIAN_1 wse 
			 on wse.codfis = Maledetti.CodICEFiscale and wse.rete = Maledetti.rete		
		WHERE 1=1 
		and rank=1
		--and codiceFiscale = '02477630582'-- 'BTTMRS67A69F839N'--
		--and codiceFiscale = '80002590711' -- HA 4+4 CON PROTEZIONE ED E' SEI PRIVATE
		--and codiceFiscale in ('BBNLSN51E27D612T') --HA INTERFUND CON PROTEZIONE ED E' SEI
		--and codiceFiscale in ('BCCFNC79H62F205H') --HA FONDITALIA CON PROTEZIONE ED E' SEI
		--and codiceFiscale in ('CHTDRA58S17D969J') --HA 4+4 CON PROTEZIONE ED E' SEI PRIVATE
		--and codiceFiscale in ('MRNNMR31D50D969T') --HA 4+4 CON PROTEZIONE ED E' SEI PRIVATE
		--and codiceFiscale in ('TZZMGB41H57F241X') --HA 4+4 CON PROTEZIONE ED E' SEI
		--and codiceFiscale in ('BCCRRT43T09H449J') -- HA INTERFUND E FONDITALIA
		--and codiceFiscale in ('STTLNZ56R58L781G') --NON HA PRODOTTI CON PROTEZIONE
		--and codiceFiscale in ('CRLSRG45M29A271V') --NON HA PRODOTTI CON PROTEZIONE
		--and codiceFiscale in ('80060810589') --NON HA PRODOTTI CON PROTEZIONE
		--and codiceFiscale in ('SRRGMR39P04Z315W') --NON HA PRODOTTI CON PROTEZIONE
		and codiceFiscale in (
--'PSSPND83R64Z604J',
--'PSSPTR59R30L400E',
'CRLFNC41S11A561R'
  )
select * from #result
END